## snes9x 1.39

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,14 @@
 ZSNESFX=1
+ZSNESC4=1
 ASMCPU=1
 #SPC700ASM=1
 NETPLAY=1
 UNZIP=1
-GLIDE=1
+#GLIDE=1
+#OPENGL=1
 #GUI=1
 THREAD_SOUND=1
+ASMKREED=1
 
 ifdef ZSNESFX
 FXOBJ=i386/fxemu2b.o i386/fxemu2.o i386/fxemu2c.o i386/fxtable.o i386/sfxproc.o i386/zsnes.o
@@ -19,25 +22,47 @@
 FXNO_DEPENDS=zsnes_fx
 endif
 
+ifdef ZSNESC4
+C4OBJ=i386/c4.o i386/zsnesc4.o c4.o
+C4DEFINES=-DZSNES_C4
+C4DEPENDS=zsnes_c4
+C4NO_DEPENDS=c_c4
+else
+C4OBJ=c4.o c4emu.o
+C4DEFINES=
+C4DEPENDS=c_c4
+C4NO_DEPENDS=zsnes_c4
+endif
+
 LINUXDEFINES=-DUSE_DGA_EXTENSION -DUSE_VIDMODE_EXTENSION
 
+ifdef SPC700ASM
+SOUNDOBJ=spctool/spc700.o spctool/dsp.o spctool.o spctool/soundmod.o spc.o
+SOUNDDEFINES=-DSPCTOOL
+else
+SOUNDOBJ=spc700.o soundux.o apu.o i386/spc.o
+SOUNDDEFINES=-DSPC700_C
+endif
+
 ifdef ASMCPU
-ifdef SPC700ASM
-CPUOBJ=i386/cpuops.o i386/cpuexec.o i386/spc700.o sa1cpu.o
-CPUDEFINES=
-else
-CPUOBJ=i386/cpuops.o i386/cpuexec.o spc700.o i386/sa1ops.o
-CPUDEFINES=-DSPC700_C
-endif
-else
-CPUOBJ=cpuops.o cpuexec.o spc700.o sa1cpu.o
-CPUDEFINES=
-endif
-
-OBJECTS=$(CPUOBJ) cpu.o sa1.o debug.o tile.o \
+CPUOBJ=i386/cpuops.o i386/cpuexec.o i386/sa1ops.o
+else
+CPUOBJ=cpuops.o cpuexec.o sa1cpu.o
+endif
+
+ifdef ASMKREED
+KREEDOBJ=i386/2xSaImmx.o i386/bilinear.o 2xsai.o
+KREEDDEFINES=-DMMX
+else
+KREEDDEFINES=
+KREEDOBJ=2xsai.o
+endif
+
+OBJECTS=$(CPUOBJ) $(SOUNDOBJ) apudebug.o $(FXOBJ) $(C4OBJ) \
+	cpu.o sa1.o debug.o sdd1.o tile.o srtc.o \
 	gfx.o memmap.o snaporig.o clip.o dsp1.o \
-	ppu.o dma.o snes9x.o snapshot.o apu.o soundux.o \
-        cheats.o data.o unix/unix.o unix/config.o $(FXOBJ) globals.o
+	ppu.o dma.o snes9x.o snapshot.o \
+        cheats.o cheats2.o data.o unix/unix.o unix/config.o globals.o
 
 ifdef GUI
 GUIOBJS = unix/snes9x_gui.o unix/moc_snes9x_gui.o
@@ -46,7 +71,7 @@
 endif
 
 ifdef NETPLAY
-OBJECTS += netplay.o
+OBJECTS += netplay.o server.o
 NETPLAYDEFINES=-DNETPLAY_SUPPORT
 SERVER_OBJECTS=server.o
 endif
@@ -72,6 +97,17 @@
 GLIDENO_DEPENDS=use_glide
 endif
 
+ifdef OPENGL
+OPENGLOBJS = unix/opengl.o
+OPENGLDEFINES = -DUSE_OPENGL
+OPENGLLIBS = -lGL -lGLU -ldl
+OPENGLDEPENDS=use_opengl
+OPENGLNO_DEPENDS=no_opengl
+else
+OPENGLDEPENDS=no_opengl
+OPENGLNO_DEPENDS=use_opengl
+endif
+
 MOC = $(QTDIR)/bin/moc
 CCC = g++ -fno-rtti
 CC = gcc
@@ -79,8 +115,9 @@
 
 INCLUDES=-I/usr/X11R6/include -I/usr/local/include
 
-OPTIMISE=-O6 -mpentium -fomit-frame-pointer -fno-exceptions
-#OPTIMISE=-g -fno-exceptions 
+OPTIMISE= -O6 -mpentium -fomit-frame-pointer -fno-exceptions -Wall -W -pedantic -pipe 
+
+#OPTIMISE=-g -fno-exceptions
 #-DMITSHM 
 
 CCFLAGS = $(OPTIMISE) -DMITSHM \
@@ -89,18 +126,23 @@
 -Iunzip \
 -DJOYSTICK_SUPPORT \
 -DZLIB \
--DNO_INLINE_SET_GET \
 -DVAR_CYCLES \
 -DDEBUGGER \
 -DCPU_SHUTDOWN \
 -DSPC700_SHUTDOWN \
+-DOLD_COLOUR_BLENDING \
 $(LINUXDEFINES) \
 $(FXDEFINES) \
+$(C4DEFINES) \
 $(CPUDEFINES) \
+$(SOUNDDEFINES) \
 $(NETPLAYDEFINES) \
 $(UNZIPDEFINES) \
 $(GLIDEDEFINES) \
-$(GUIDEFINES)
+$(OPENGLDEFINES) \
+$(GUIDEFINES) \
+$(KREEDDEFINES) \
+-DNO_INLINE_SET_GET
 
 #-DSOUND
 #-DDEBUGGER
@@ -111,14 +153,10 @@
 
 CFLAGS=$(CCFLAGS)
 
-.SUFFIXES: .o .cpp .c .cc .h .m .i .S .asm
-LDLIBS = -L/usr/X11R6/lib frame.o
-
-ifdef NETPLAY
-all: offsets snes9x ssnes9x s9xserver
-else
+.SUFFIXES: .o .cpp .c .cc .h .m .i .S .asm .obj
+LDLIBS = -L/usr/X11R6/lib
+
 all: offsets snes9x ssnes9x
-endif
 
 #ggisnes9x
 #xf86snes9x
@@ -127,16 +165,24 @@
 	touch $(FXDEPENDS)
 	$(RM) $(FXNO_DEPENDS)
 
+$(C4DEPENDS):
+	touch $(C4DEPENDS)
+	$(RM) $(C4_NODEPENDS)
+
 $(GLIDEDEPENDS):
 	touch $(GLIDEDEPENDS)
 	$(RM) $(GLIDENO_DEPENDS)
 
+$(OPENGLDEPENDS):
+	touch $(OPENGLDEPENDS)
+	$(RM) $(OPENGLNO_DEPENDS)
+
 offsets: offsets.o
 	$(CCC) $(INCLUDES) -o $@ offsets.o
 	./offsets >i386/offsets.h
 
-snes9x: $(OBJECTS) unix/x11.o $(GLIDEOBJS) $(GUIOBJS)
-	$(CCC) $(INCLUDES) -o $@ $(OBJECTS) $(GLIDEOBJS) unix/x11.o $(GUIOBJS) $(LDLIBS) $(GLIDELIBS) $(GUILIBS) -lXxf86dga -lXxf86vm -lXext -lX11 $(EXTRALIBS) -lz -lm
+snes9x: $(OBJECTS) unix/x11.o $(GLIDEOBJS) $(OPENGLOBJS) $(GUIOBJS) $(KREEDOBJ)
+	$(CCC) $(INCLUDES) -o $@ $(OBJECTS) $(GLIDEOBJS) $(OPENGLOBJS) $(KREEDOBJ) unix/x11.o $(GUIOBJS) $(LDLIBS) $(GLIDELIBS) $(OPENGLLIBS) $(GUILIBS) -lXxf86dga -lXxf86vm -lXext -lX11 $(EXTRALIBS) -lz -lm
 
 ssnes9x: $(OBJECTS) unix/svga.o $(GLIDEOBJS) 
 	$(CCC) $(INCLUDES) -o $@ $(OBJECTS) $(GLIDEOBJS) unix/svga.o $(LDLIBS) $(GLIDELIBS) -lvga -lvgagl -lz $(EXTRALIBS) -lm
@@ -166,7 +212,10 @@
 	$(CCC) $(INCLUDES) -c -E $(CCFLAGS) $*.S -o $@
 
 .asm.o:
-	$(NASM) -f elf -i. -ii386 -o $@ $*.asm
+	$(NASM) -f elf $(FXDEFINES) -i. -ii386 -o $@ $*.asm
+
+.obj.o:
+	cp $*.obj $*.o
 
 unix/moc_snes9x_gui.cpp: unix/snes9x_gui.h
 	$(MOC) unix/snes9x_gui.h -o $@
@@ -186,10 +235,11 @@
 snapshot.o: $(FXDEPENDS)
 snaporig.o: $(FXDEPENDS)
 
-unix/unix.o: $(GLIDEDEPENDS)
-unix/x11.o: $(GLIDEDEPENDS)
+unix/unix.o: $(GLIDEDEPENDS) $(OPENGLDEPENDS)
+unix/x11.o: $(GLIDEDEPENDS) $(OPENGLDEPENDS)
 unix/glide.o: $(GLIDEDEPENDS)
-gfx.o: $(GLIDEDEPENDS)
+gfx.o: $(GLIDEDEPENDS) $(OPENGLDEPENDS)
+unix/opengl.o: $(OPENGLDEPENDS)
 
 i386/cpuexec.o: i386/asmstruc.h i386/offsets.h
 i386/cpuops.o: i386/asmstruc.h i386/asmops.h i386/getset.S i386/asmaddr.h \
@@ -201,14 +251,14 @@
 	memmap.h ppu.h debug.h port.h display.h apu.h spc700.h apu.h
 cpuops.o: cpuops.h memmap.h snes9x.h spc700.h apu.h \
 	cpuaddr.h cpumacro.h debug.h port.h cpuexec.h
-debug.o: cpuops.h cpuexec.h snes9x.h sa1.h \
+debug.o: cpuops.h cpuexec.h snes9x.h sa1.h cheats.h \
 	memmap.h ppu.h debug.h missing.h port.h display.h apu.h
 ppu.o: snes9x.h memmap.h ppu.h missing.h port.h cpuexec.h \
 	apu.h spc700.h fxemu.h fxinst.h sa1.h
 dsp1.o: snes9x.h port.h dsp1.h
 snapshot.o: snapshot.h memmap.h snes9x.h 65c816.h ppu.h \
 	cpuexec.h display.h apu.h spc700.h soundux.h sa1.h
-snes96.o: port.h snes9x.h memmap.h
+snes96.o: port.h snes9x.h memmap.h cheats.h
 memmap.o: cpuexec.h snes9x.h memmap.h ppu.h port.h cheats.h getset.h apu.h \
 	  spc700.h sa1.h
 unix.o: cpuexec.h snes9x.h port.h snapshot.h display.h apu.h gfx.h cheats.h
