## snes9x 1.52

=== debian/changelog ===
snes9x (1:1.52-1) unstable; urgency=low

  * QA upload.
  * New upstream release (Closes: #432922, #472764).
  * Switch to dpkg-source 3.0 (quilt) format and drop dpatch.
  * Switch to dh 7.
  * Wrap, sort, and cleanup Build-Depends (Closes: #575861).
  * Fix typo in Build-Depends (Closes: #573708).
  * Enable screenshot support (Closes: #563581).
  * Drop unrequired patches.
  * Drop unused debian/snes9x-opengl.* files.
  * Bump Standards-Version to 3.8.4.
  * Add Homepage field.
  * Add snes9x-gtk package for GTK+ port.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 30 Mar 2010 13:41:46 +0200

snes9x (1:1.5-1) unstable; urgency=medium

  * New Upstream
    * Adds AMD64 Support. (Closes: #384404)
  * Remove all previous patches. They are incorporated in Upstream,
    overridden or useless.
  * Drop -opengl package. Upstream currently does not support the OpenGL
    version. There is still hope for 1.51.

 -- Alain Schroeder <alain@debian.org>  Sun, 20 Oct 2006 14:55:39 +0100

snes9x (1.43-3) unstable; urgency=medium

  * Replace build-dependency on xlibs-dev with an explicit
    build-dependency on each required package. (Closes: #346932)
  * Depend on xlibmesa-gl-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev
    instead of xlibmesa-dev, which no longer exists. (Closes: #327307)
  * Thanks to Steinar H. Gunderson for the two above. (Closes: #349230)
  * There still is no good OpenGL Patch. I gave up on it. Anybody?
  * Remove snes9x-1.43-src/snes9x/config.cache for clean sources.

 -- Alain Schroeder <alain@debian.org>  Sun, 22 Jan 2006 18:55:46 +0100

snes9x (1.43-2) unstable; urgency=low

  * Fix build on AMD64 (closes: #297287)
  * Add missing Build-Deps (closes: #322456)
  * Fix build on !i386 (closes: #322455)
  * Add OpenGL patch (closes: #138416, #286123)

 -- Alain Schroeder <alain@debian.org>  Wed,  7 Sep 2005 13:31:07 +0200

snes9x (1.43-1) experimental; urgency=low

  * New Upstream.
  * Dropped keymap patch due to heavy changes in the source.
  * Added a patch from Jeff Williams so joystick axis can be chosen freely.

 -- Alain Schroeder <alain@debian.org>  Sat,  8 Jan 2005 17:29:32 +0100

snes9x (1.42-2) unstable; urgency=low

  * Fix Build-Dependencies: xlib6g-dev => xlibs-dev (closes: #228374)

 -- Alain Schroeder <alain@debian.org>  Tue, 24 Feb 2004 23:18:23 +0100

snes9x (1.42-1) unstable; urgency=low

  * "Mario In Detox" Release
  * New Upstream (closes: #212720)
  * Dropped SVGA and Glide Version, because they are no longer supported by
    upstream.
  * Included Patch from Terran Melconian <terran@consistent.org> to support
    more than two joypads (closes: #195764)
    *** Patchfile: 01_4joypads
  * Include better keymap (closes: #181864, #181865)
  * The copyright file is more readable now.
  * Reworked the complete build system using dpatch. Now all patches
    have their own files.
    *** 02_fix_ntsc_help: Fix ntsc help message
    *** 03_fix_loading_some_roms: Fix some ROM loading anomalies
    *** 10_keymap: Allow keymap modification
  * OpenGL Target is still included, since people reported to me, that it
    works fine with their NVidia cards - it does not work with my card though

 -- Alain Schroeder <alain@debian.org>  Sun,  4 Jan 2004 01:12:08 +0100

snes9x (1.39-8) unstable; urgency=low

  * Exclude DGA specific defines, if we build for 3dfx (Closes: #144463).
  * Add the OpenGL Version again, since at least on nVidia cards it works
    fine. (Closes: #145750)
  * Thrown away some useless stuff from the OpenGL's README.Debian.

 -- Alain Schroeder <alain@debian.org>  Sun,  5 May 2002 20:42:02 +0200

snes9x (1.39-7) unstable; urgency=high

  * Removed the OpenGL Version, since it didn't work. I swear it worked
    earlier - it was much slower than the X11 Version, but it worked.
  * Urgency high to get it into woody.
  * Removed s9xserver manpage from the debian directory - it's just useless
    data at the moment.

 -- Alain Schroeder <alain@debian.org>  Sat, 20 Apr 2002 12:31:02 +0200

snes9x (1.39-6) unstable; urgency=low

  * I partially applied a patch from Brad, which caused a big mess. I reversed
    it and applied another patch from Brad to fix the problem in tile.cpp
    without the big mess.

 -- Alain Schroeder <alain@debian.org>  Thu, 14 Mar 2002 13:21:57 +0100

snes9x (1.39-5) unstable; urgency=low

  * Fix check for MSB_FIRST in 2xsai.cpp and unix/unix.cpp (Fixes building
    on big endian machines).
  * All packages now depend on snes9x-common with the same version number.

 -- Alain Schroeder <alain@debian.org>  Wed, 13 Mar 2002 14:45:25 +0100

snes9x (1.39-4) unstable; urgency=low

  * Applied another patch from andi <andi@fischlustig.de> to fix big endian
    issues with the image processing filters and make it use MSB_FIRST.
    (2xsai.cpp)
  * Fix a typo with GETS_STREAM und GETC_STREAM, which I introduced, while
    applying Brads Patches. (snes9x.h)
  * Fixed output, if /usr/share/snes9x/snes9x.ctl was loaded - it reported
    another file was loaded. (controls.cpp)
  * Fixed typo in debian/Makefile, so the svgalib uses the svgalib keymap
    (Thanks to Brad).
  * Also changed -mpentium to -mcpu=pentium in debian/rules (Thanks to Brad).
  * Added much more from Brad Jorsch <anomie@users.sourceforge.net> patch:
    * Snapshot the when exit/load snapshot/reset is pressed. (cpu.cpp,
      snapshot.cpp, snapshot.h, unix/unix.cpp)
    * Calculate PPU.FirstSprite differently.                 (ppu.cpp, ppu.h)
    * translate some fixes from i386/cpuops.S to cpuops.cpp.
    * Fix loading certain types of ROMs from a zip file. (loadzip.cpp)
    * Fix some tile bugs. (tile.cpp)
    * Don't open Sounddevice, if sound is disabled. (unix/unix.cpp)
    * Support IPS Patches (memmap.cpp)
  * Modified the search in zip files for IPS Patches, so snes9x now test
    every file.

 -- Alain Schroeder <alain@debian.org>  Tue, 12 Mar 2002 15:32:24 +0100

snes9x (1.39-3) unstable; urgency=low


