=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --sourcedirectory=gtk $@

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=unix -- --enable-netplay

override_dh_auto_build:
	dh_auto_build --sourcedirectory=unix
	cd unix && $(MAKE) clean
	dh_auto_configure --sourcedirectory=gtk -- --bindir=/usr/games
	dh_auto_build --sourcedirectory=gtk

override_dh_install:
	dh_install
	mkdir -p debian/snes9x-x/etc/snes9x
	install -m 644 docs/snes9x.conf.default debian/snes9x-x/etc/snes9x/snes9x.conf

override_dh_installchangelogs:
	dh_installchangelogs docs/changes.txt
