=== debian/watch ===
version=3
http://code.google.com/p/snes9x-gtk/downloads/list \
  http://snes9x-gtk.googlecode.com/files/snes9x-([0-9.]+)-src\.tar\.bz2
